> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.vellum.ai/developers/client-sdk/workflows/execute-workflow/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vellum.ai/_mcp/server. # Execute Workflow POST https://predict.vellum.ai/v1/execute-workflow Content-Type: application/json Executes a deployed Workflow and returns its outputs. Reference: https://docs.vellum.ai/developers/client-sdk/workflows/execute-workflow ## Authentication - `X-API-KEY` header (required) — API Key authentication via header ## Request ### Body (application/json) This endpoint expects an ExecuteWorkflowRequest. - `inputs` (list of WorkflowRequestInputRequest, required) — The list of inputs defined in the Workflow's Deployment with their corresponding values. - `expand_meta` (WorkflowExpandMetaRequest, optional, nullable) — An optionally specified configuration used to opt in to including additional metadata about this workflow execution in the API response. Corresponding values will be returned under the `execution_meta` key within NODE events in the response stream. - `workflow_deployment_id` (string, optional, nullable) — The ID of the Workflow Deployment. Must provide either this or workflow_deployment_name. - `workflow_deployment_name` (string, optional, nullable) — The name of the Workflow Deployment. Must provide either this or workflow_deployment_id. - `release_tag` (string, optional, nullable) — Optionally specify a release tag if you want to pin to a specific release of the Workflow Deployment - `external_id` (string, optional, nullable) — Optionally include a unique identifier for tracking purposes. Must be unique within a given Workspace. - `metadata` (map from string to any, optional, nullable) — Arbitrary JSON metadata associated with this request. Can be used to capture additional monitoring data such as user id, session id, etc. for future analysis. - `previous_execution_id` (string, optional, nullable) — The ID of a previous Workflow Execution to reference for initial State loading. ## Response ### 200 - `execution_id` (string, required) - `data` (ExecuteWorkflowWorkflowResultEvent, required) - `external_id` (string, optional, nullable) - `run_id` (string, optional, nullable, deprecated) ## Errors ### 400 Bad Request Error - `map from string to any` ### 404 Not Found Error - `map from string to any` ### 500 Internal Server Error - `detail` (string, required) — Details about why the request failed. ## Types ### WorkflowRequestInputRequest ### WorkflowExpandMetaRequest - `usage` (boolean, optional, nullable) — If enabled, the Prompt Node FULFILLED events will include model host usage tracking. This may increase latency for some model hosts. - `cost` (boolean, optional, nullable) — If enabled, the Prompt Node FULFILLED events will include model host cost tracking. This may increase latency for some model hosts. - `model_name` (boolean, optional, nullable) — If enabled, the Prompt Node FULFILLED events will include model host name ### ExecuteWorkflowWorkflowResultEvent ### WorkflowRequestStringInputRequest The input for a string variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `STRING` - `value` (string, required) ### WorkflowRequestJSONInputRequest The input for a JSON variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `JSON` - `value` (any, required, nullable) ### WorkflowRequestChatHistoryInputRequest The input for a chat history variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `CHAT_HISTORY` - `value` (list of ChatMessageRequest, required) ### WorkflowRequestNumberInputRequest The input for a number variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `NUMBER` - `value` (double, required) ### WorkflowRequestAudioInputRequest The input for an audio variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `AUDIO` - `value` (VellumAudioRequest, required) ### WorkflowRequestVideoInputRequest The input for a video variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `VIDEO` - `value` (VellumVideoRequest, required) ### WorkflowRequestImageInputRequest The input for an image variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `IMAGE` - `value` (VellumImageRequest, required) ### WorkflowRequestDocumentInputRequest The input for a document variable in a Workflow. - `name` (string, required) — The variable's name, as defined in the Workflow. - `type` (enum, required) - Allowed values: `DOCUMENT` - `value` (VellumDocumentRequest, required) ### FulfilledExecuteWorkflowWorkflowResultEvent The successful response from the Workflow execution containing the produced outputs. - `id` (string, required) - `state` (enum, required) - Allowed values: `FULFILLED` - `ts` (string, required) - `outputs` (list of WorkflowOutput, required) ### RejectedExecuteWorkflowWorkflowResultEvent The unsuccessful response from the Workflow execution containing an error specifying what went wrong. - `id` (string, required) - `state` (enum, required) - Allowed values: `REJECTED` - `ts` (string, required) - `error` (WorkflowEventError, required) ### ChatMessageRequest - `role` (enum, required) — * `SYSTEM` - System * `ASSISTANT` - Assistant * `USER` - User * `FUNCTION` - Function - Allowed values: `SYSTEM`, `ASSISTANT`, `USER`, `FUNCTION` - `text` (string, optional, nullable) - `content` (ChatMessageContentRequest, optional, nullable) - `source` (string, optional, nullable) — An optional identifier representing who or what generated this message. - `metadata` (map from string to any, optional, nullable) ### VellumAudioRequest - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### VellumVideoRequest - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### VellumImageRequest - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### VellumDocumentRequest - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### WorkflowOutput ### WorkflowEventError - `message` (string, required) - `code` (enum, required) — * `WORKFLOW_INITIALIZATION` - WORKFLOW_INITIALIZATION * `WORKFLOW_CANCELLED` - WORKFLOW_CANCELLED * `WORKFLOW_TIMEOUT` - WORKFLOW_TIMEOUT * `PROVIDER_CREDENTIALS_UNAVAILABLE` - PROVIDER_CREDENTIALS_UNAVAILABLE * `INTEGRATION_CREDENTIALS_UNAVAILABLE` - INTEGRATION_CREDENTIALS_UNAVAILABLE * `NODE_EXECUTION_COUNT_LIMIT_REACHED` - NODE_EXECUTION_COUNT_LIMIT_REACHED * `INTERNAL_SERVER_ERROR` - INTERNAL_SERVER_ERROR * `NODE_EXECUTION` - NODE_EXECUTION * `NODE_CANCELLED` - NODE_CANCELLED * `NODE_TIMEOUT` - NODE_TIMEOUT * `LLM_PROVIDER` - LLM_PROVIDER * `INVALID_TEMPLATE` - INVALID_TEMPLATE * `INVALID_INPUTS` - INVALID_INPUTS * `PROVIDER_QUOTA_EXCEEDED` - PROVIDER_QUOTA_EXCEEDED * `USER_DEFINED_ERROR` - USER_DEFINED_ERROR - Allowed values: `WORKFLOW_INITIALIZATION`, `WORKFLOW_CANCELLED`, `WORKFLOW_TIMEOUT`, `PROVIDER_CREDENTIALS_UNAVAILABLE`, `INTEGRATION_CREDENTIALS_UNAVAILABLE`, `NODE_EXECUTION_COUNT_LIMIT_REACHED`, `INTERNAL_SERVER_ERROR`, `NODE_EXECUTION`, `NODE_CANCELLED`, `NODE_TIMEOUT`, `LLM_PROVIDER`, `INVALID_TEMPLATE`, `INVALID_INPUTS`, `PROVIDER_QUOTA_EXCEEDED`, `USER_DEFINED_ERROR` - `raw_data` (WorkflowEventErrorRawData, optional, nullable) - `stacktrace` (string, optional, nullable) ### ChatMessageContentRequest ### WorkflowOutputString A string output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `STRING` - `value` (string, required, nullable) ### WorkflowOutputNumber A number output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `NUMBER` - `value` (double, required, nullable) ### WorkflowOutputJSON A JSON output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `JSON` - `value` (any, required, nullable) ### WorkflowOutputChatHistory A chat history output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `CHAT_HISTORY` - `value` (list of ChatMessage, required, nullable) ### WorkflowOutputSearchResults A search results output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `SEARCH_RESULTS` - `value` (list of SearchResult, required, nullable) ### WorkflowOutputArray An array output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `ARRAY` - `value` (list of VellumValue, required, nullable) ### WorkflowOutputError An error output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `ERROR` - `value` (VellumError, required, nullable) ### WorkflowOutputFunctionCall A function call output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `FUNCTION_CALL` - `value` (FunctionCall, required, nullable) — The final resolved function call value. ### WorkflowOutputImage An image output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `IMAGE` - `value` (VellumImage, required, nullable) ### WorkflowOutputAudio An audio output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `AUDIO` - `value` (VellumAudio, required, nullable) ### WorkflowOutputVideo A video output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `VIDEO` - `value` (VellumVideo, required, nullable) ### WorkflowOutputDocument A document output from a Workflow execution. - `id` (string, required) - `name` (string, required) — The output's name, as defined in the workflow - `type` (enum, required) - Allowed values: `DOCUMENT` - `value` (VellumDocument, required, nullable) ### WorkflowEventErrorRawData ### StringChatMessageContentRequest A string value that is used in a chat message. - `type` (enum, required) - Allowed values: `STRING` - `value` (string, required) ### FunctionCallChatMessageContentRequest A function call value that is used in a chat message. - `type` (enum, required) - Allowed values: `FUNCTION_CALL` - `value` (FunctionCallChatMessageContentValueRequest, required) — The final resolved function call value. ### ArrayChatMessageContentRequest A list of chat message content items. - `type` (enum, required) - Allowed values: `ARRAY` - `value` (list of ArrayChatMessageContentItemRequest, required) ### AudioChatMessageContentRequest An audio value that is used in a chat message. - `type` (enum, required) - Allowed values: `AUDIO` - `value` (VellumAudioRequest, required) ### VideoChatMessageContentRequest A video value that is used in a chat message. - `type` (enum, required) - Allowed values: `VIDEO` - `value` (VellumVideoRequest, required) ### ImageChatMessageContentRequest An image value that is used in a chat message. - `type` (enum, required) - Allowed values: `IMAGE` - `value` (VellumImageRequest, required) ### DocumentChatMessageContentRequest A document value that is used in a chat message. - `type` (enum, required) - Allowed values: `DOCUMENT` - `value` (VellumDocumentRequest, required) ### ChatMessage - `role` (enum, required) — * `SYSTEM` - System * `ASSISTANT` - Assistant * `USER` - User * `FUNCTION` - Function - Allowed values: `SYSTEM`, `ASSISTANT`, `USER`, `FUNCTION` - `text` (string, optional, nullable) - `content` (ChatMessageContent, optional, nullable) - `source` (string, optional, nullable) — An optional identifier representing who or what generated this message. - `metadata` (map from string to any, optional, nullable) ### SearchResult - `text` (string, required) — The text of the chunk that matched the search query. - `score` (double, required) — A score representing how well the chunk matches the search query. - `keywords` (list of string, required) - `document` (SearchResultDocument, required) — The document that contains the chunk that matched the search query. - `meta` (SearchResultMeta, optional, nullable) — Additional information about the search result. ### VellumValue ### VellumError - `code` (enum, required) — * `INVALID_REQUEST` - INVALID_REQUEST * `INVALID_INPUTS` - INVALID_INPUTS * `PROVIDER_ERROR` - PROVIDER_ERROR * `PROVIDER_CREDENTIALS_UNAVAILABLE` - PROVIDER_CREDENTIALS_UNAVAILABLE * `INTEGRATION_CREDENTIALS_UNAVAILABLE` - INTEGRATION_CREDENTIALS_UNAVAILABLE * `REQUEST_TIMEOUT` - REQUEST_TIMEOUT * `INTERNAL_SERVER_ERROR` - INTERNAL_SERVER_ERROR * `USER_DEFINED_ERROR` - USER_DEFINED_ERROR * `WORKFLOW_CANCELLED` - WORKFLOW_CANCELLED * `NODE_CANCELLED` - NODE_CANCELLED * `PROVIDER_QUOTA_EXCEEDED` - PROVIDER_QUOTA_EXCEEDED * `CHAT_QUOTA_EXCEEDED` - CHAT_QUOTA_EXCEEDED - Allowed values: `INVALID_REQUEST`, `INVALID_INPUTS`, `PROVIDER_ERROR`, `PROVIDER_CREDENTIALS_UNAVAILABLE`, `INTEGRATION_CREDENTIALS_UNAVAILABLE`, `REQUEST_TIMEOUT`, `INTERNAL_SERVER_ERROR`, `USER_DEFINED_ERROR`, `WORKFLOW_CANCELLED`, `NODE_CANCELLED`, `PROVIDER_QUOTA_EXCEEDED`, `CHAT_QUOTA_EXCEEDED` - `message` (string, required) - `raw_data` (map from string to any, optional, nullable) ### FunctionCall The final resolved function call value. - `arguments` (map from string to any, required) - `name` (string, required) - `id` (string, optional, nullable) ### VellumImage - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### VellumAudio - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### VellumVideo - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### VellumDocument - `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details. - `metadata` (map from string to any, optional, nullable) ### FunctionCallChatMessageContentValueRequest The final resolved function call value. - `name` (string, required) - `arguments` (map from string to any, required) - `id` (string, optional, nullable) ### ArrayChatMessageContentItemRequest ### ChatMessageContent ### SearchResultDocument - `label` (string, required) — The human-readable name for the document. - `id` (string, optional, nullable) — The ID of the document. - `external_id` (string, optional, nullable) — The unique ID of the document as represented in an external system and specified when it was originally uploaded. - `metadata` (map from string to any, optional, nullable) — A previously supplied JSON object containing metadata that can be filtered on when searching. ### SearchResultMeta - `source` (SearchResultMetaSource, optional, nullable) ### StringVellumValue A value representing a string. - `type` (enum, required) - Allowed values: `STRING` - `value` (string, required, nullable) ### NumberVellumValue A value representing a number. - `type` (enum, required) - Allowed values: `NUMBER` - `value` (double, required, nullable) ### JsonVellumValue A value representing a JSON object. - `type` (enum, required) - Allowed values: `JSON` - `value` (any, required, nullable) ### AudioVellumValue A base Vellum primitive value representing audio. - `type` (enum, required) - Allowed values: `AUDIO` - `value` (VellumAudio, required, nullable) ### VideoVellumValue A base Vellum primitive value representing a video. - `type` (enum, required) - Allowed values: `VIDEO` - `value` (VellumVideo, required, nullable) ### ImageVellumValue A base Vellum primitive value representing an image. - `type` (enum, required) - Allowed values: `IMAGE` - `value` (VellumImage, required, nullable) ### DocumentVellumValue A base Vellum primitive value representing a document. - `type` (enum, required) - Allowed values: `DOCUMENT` - `value` (VellumDocument, required, nullable) ### FunctionCallVellumValue A value representing a Function Call. - `type` (enum, required) - Allowed values: `FUNCTION_CALL` - `value` (FunctionCall, required, nullable) — The final resolved function call value. ### ErrorVellumValue A value representing an Error. - `type` (enum, required) - Allowed values: `ERROR` - `value` (VellumError, required, nullable) ### ArrayVellumValue A value representing an array of Vellum variable values. - `type` (enum, required) - Allowed values: `ARRAY` - `value` (list of VellumValue, required, nullable) ### ChatHistoryVellumValue A value representing Chat History. - `type` (enum, required) - Allowed values: `CHAT_HISTORY` - `value` (list of ChatMessage, required, nullable) ### SearchResultsVellumValue A value representing Search Results. - `type` (enum, required) - Allowed values: `SEARCH_RESULTS` - `value` (list of SearchResult, required, nullable) ### ThinkingVellumValue A value representing Thinking mode output. - `type` (enum, required) - Allowed values: `THINKING` - `value` (StringVellumValue, required, nullable) — A value representing a string. ### StringChatMessageContent A string value that is used in a chat message. - `type` (enum, required) - Allowed values: `STRING` - `value` (string, required) ### FunctionCallChatMessageContent A function call value that is used in a chat message. - `type` (enum, required) - Allowed values: `FUNCTION_CALL` - `value` (FunctionCallChatMessageContentValue, required) — The final resolved function call value. ### ArrayChatMessageContent A list of chat message content items. - `type` (enum, required) - Allowed values: `ARRAY` - `value` (list of ArrayChatMessageContentItem, required) ### AudioChatMessageContent An audio value that is used in a chat message. - `type` (enum, required) - Allowed values: `AUDIO` - `value` (VellumAudio, required) ### VideoChatMessageContent A video value that is used in a chat message. - `type` (enum, required) - Allowed values: `VIDEO` - `value` (VellumVideo, required) ### ImageChatMessageContent An image value that is used in a chat message. - `type` (enum, required) - Allowed values: `IMAGE` - `value` (VellumImage, required) ### DocumentChatMessageContent A document value that is used in a chat message. - `type` (enum, required) - Allowed values: `DOCUMENT` - `value` (VellumDocument, required) ### SearchResultMetaSource ### FunctionCallChatMessageContentValue The final resolved function call value. - `name` (string, required) - `arguments` (map from string to any, required) - `id` (string, optional, nullable) ### ArrayChatMessageContentItem ### PdfSearchResultMetaSource The source of a search result from a PDF document. - `document_type` (enum, required) - Allowed values: `PDF` - `start_page_num` (integer, required, nullable) — The 1-indexed page number where the chunk starts in the document. Only available for supported chunking strategies and document types. - `end_page_num` (integer, required, nullable) — The 1-indexed page number where the chunk ends in the document. Only available for supported chunking strategies and document types. ## Examples **Request** ```json { "inputs": [ { "name": "string", "type": "STRING", "value": "string" } ] } ``` **Response** ```json { "execution_id": "string", "data": { "id": "string", "state": "FULFILLED", "ts": "2024-01-15T09:30:00Z", "outputs": [ { "id": "string", "name": "string", "type": "STRING", "value": "string" } ] }, "external_id": "string", "run_id": "string" } ``` **SDK Code** ```python import requests url = "https://predict.vellum.ai/v1/execute-workflow" payload = { "inputs": [ { "name": "string", "type": "STRING", "value": "string" } ] } headers = { "X-API-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript import { VellumClient } from "vellum-ai"; const client = new VellumClient({ apiKey: "YOUR_API_KEY", apiVersion: "YOUR_API_VERSION" }); await client.executeWorkflow({ inputs: [{ name: "x", type: "STRING", value: "value" }, { name: "x", type: "STRING", value: "value" }] }); ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://predict.vellum.ai/v1/execute-workflow" payload := strings.NewReader("{\n \"inputs\": [\n {\n \"name\": \"string\",\n \"type\": \"STRING\",\n \"value\": \"string\"\n }\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://predict.vellum.ai/v1/execute-workflow") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"inputs\": [\n {\n \"name\": \"string\",\n \"type\": \"STRING\",\n \"value\": \"string\"\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://predict.vellum.ai/v1/execute-workflow") .header("X-API-KEY", "") .header("Content-Type", "application/json") .body("{\n \"inputs\": [\n {\n \"name\": \"string\",\n \"type\": \"STRING\",\n \"value\": \"string\"\n }\n ]\n}") .asString(); ``` ```php request('POST', 'https://predict.vellum.ai/v1/execute-workflow', [ 'body' => '{ "inputs": [ { "name": "string", "type": "STRING", "value": "string" } ] }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://predict.vellum.ai/v1/execute-workflow"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"inputs\": [\n {\n \"name\": \"string\",\n \"type\": \"STRING\",\n \"value\": \"string\"\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-KEY": "", "Content-Type": "application/json" ] let parameters = ["inputs": [ [ "name": "string", "type": "STRING", "value": "string" ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://predict.vellum.ai/v1/execute-workflow")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```